Package io.flutter.plugin.platform

## Interface PlatformViewsAccessibilityDelegate

- All Known Implementing Classes:
    `PlatformViewsController`

      public interface PlatformViewsAccessibilityDelegate

  Facilitates interaction between the accessibility bridge and embedded platform views.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `attachAccessibilityBridge​(AccessibilityBridge accessibilityBridge)` | Attaches an accessibility bridge for this platform views accessibility delegate.
    `void` | `detachAccessibilityBridge()` | Detaches the current accessibility bridge.
    `View` | `getPlatformViewById​(int viewId)` | Returns the root of the view hierarchy for the platform view with the requested id, or null if there is no corresponding view.
    `boolean` | `usesVirtualDisplay​(int id)` | Returns true if the platform view uses virtual displays.

- - ### Method Detail

    - #### getPlatformViewById

          @Nullable
          View getPlatformViewById​(int viewId)

      Returns the root of the view hierarchy for the platform view with the requested id, or null if there is no corresponding view.

    - #### usesVirtualDisplay

          boolean usesVirtualDisplay​(int id)

      Returns true if the platform view uses virtual displays.

    - #### attachAccessibilityBridge

          void attachAccessibilityBridge​(@NonNull
                                         AccessibilityBridge accessibilityBridge)

      Attaches an accessibility bridge for this platform views accessibility delegate.

      Accessibility events originating in platform views belonging to this delegate will be delegated to this accessibility bridge.

    - #### detachAccessibilityBridge

          void detachAccessibilityBridge()

      Detaches the current accessibility bridge.

      Any accessibility events sent by platform views belonging to this delegate will be ignored until a new accessibility bridge is attached.